#!/usr/bin/env python

from distutils.core import setup
from os import listdir
import os.path

from pysawsim import __version__


SCRIPT_DIR = 'bin'
scripts = [os.path.join(SCRIPT_DIR, s) for s in listdir(SCRIPT_DIR)
           if s.endswith('.py')]

setup(
    name='pysawsim',
    version=__version__,
    description='Python framework for the sawsim force spectroscopy simulator.',
    url='http://www.physics.drexel.edu/~wking/unfolding-disasters/posts/sawsim/',
    packages=['pysawsim',
              'pysawsim.manager'
              'pysawsim.test'],
    scripts=scripts,
    )
